Subject: Re: lauching a perl script from a .bat
From: Jeremy Hetzler <[email-masked]>
To: Marko Loparic <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Tue, 23 Jul 2002 02:01:41 -0700

At 10:24 AM 7/22/2002 -0700, Marko Loparic wrote:
>Hello,
>
>I have developed a perl script to a remote user who
>runs Windows. I would like to make an easy
>installation
>cd for him and to allow him to launch to script using
>a .bat file. I have two basic questions.
>
>1) The perl script uses cygwin names like /cygdrive,
>so I can't launch perl directly from a .bat file. I
>suppose I have to launch cygwin's bash passing the
>script as an argument. How do I do this?

You can run this script fine from a .bat file. However, you will need to 
have Cygwin installed on the machine and adjust the path to include 
perl.exe and cygwin1.dll (i.e. /usr/bin). For this non-interactive use, 
bash need not and should not be involved. It is cygwin1.dll that provides 
the cygwin-style functionality to perl, not bash.

Cygpath can convert windows paths to and from cygwin paths, but you 
shouldn't need it here (under cygwin perl, the script should work fine 
unmodified).

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/